Thu Apr 17 14:27:54 EEST 2008  Jussi Hakala <jussi.hakala@movial.fi>
  tagged sb-cputransp-devkit_1.0.6


Tue Apr 15 11:06:34 EEST 2008  Jussi Hakala <jussi.hakala@movial.fi>
  tagged sb-cputransp-devkit_1.0.5


Fri Feb 29 17:57:22 EET 2008  Jussi Hakala <jussi.hakala@movial.fi>
  * debian/changelog: create a dummy entry from the first changeset

    M ./debian/rules -1 +7

Thu Feb 21 14:28:49 EET 2008  Jussi Hakala <jussi.hakala@movial.fi>
  * debian: install changelog

    M ./debian/rules +1

Thu Feb 21 13:52:56 EET 2008  Jussi Hakala <jussi.hakala@movial.fi>
  * debian/changelog: handle cases without entries and accept a custom version number

    M ./debian/rules -3 +19

Tue Feb 19 18:44:40 EET 2008  Jussi Hakala <jussi.hakala@movial.fi>
  tagged sb-cputransp-devkit_1.0.4


Tue Feb 19 16:55:33 EET 2008  Jussi Hakala <jussi.hakala@movial.fi>
  * debian/changelog: fix inconsistency in source package names

    M ./debian/rules -1 +1

Wed Jan 23 16:06:09 EET 2008  Jussi Hakala <jussi.hakala@movial.fi>
  * debian/changelog: create based on darcs changelog

    M ./debian/rules -3 +26

Thu Dec 20 14:00:43 EET 2007  Jussi Hakala <jussi.hakala@movial.fi>
  * qemu-cvs: link against libsb

    M ./cputransp/qemu-cvs/Makefile -1 +1

Wed Oct  3 15:22:55 EEST 2007  ricardo.kekki@movial.fi
  * Ilpo Ruotsainen made these patches for getting Qemu to work better in user mode
  with binaries compiled with codesourcery 2007q1 EABI toolchain

    M ./cputransp/qemu-0.8.2-sb/Makefile +3
    A ./cputransp/qemu-0.8.2-sb/files/69_arm_kmb.patch
    A ./cputransp/qemu-0.8.2-sb/files/70_arm_tgkill.patch
    A ./cputransp/qemu-0.8.2-sb/files/71_user_tkill_tgkill.patch

Wed Aug 29 16:24:13 EEST 2007  Jussi Hakala <jussi.hakala@movial.fi>
  tagged sb-cputransp-devkit_1.0.3


Wed Aug 22 16:57:38 EEST 2007  Jussi Hakala <jussi.hakala@movial.fi>
  * qemu 0.8.2: fix issue with unsupported syscall 268
  Thanks to Andrey Petrov for the fix

    M ./cputransp/qemu-0.8.2-sb/Makefile +1
    A ./cputransp/qemu-0.8.2-sb/files/81_set_tid_address.patch

Wed Aug 22 16:52:15 EEST 2007  Jussi Hakala <jussi.hakala@movial.fi>
  * tools_build_def: remove vanilla version of qemu 0.9.0 from the build defs

    M ./gat_files/tools_build_def -2 +2

Wed Aug 22 16:50:36 EEST 2007  Jussi Hakala <jussi.hakala@movial.fi>
  * tools_build_def: add cvs version of qemu to build defs

    M ./gat_files/tools_build_def -1 +3

Wed Aug 15 10:15:04 EEST 2007  Riku Voipio <riku.voipio@iki.fi>
  * Add cvs version of qemu
  Qemu 0.9.0 does not add many interesting features, but qemu cvs version does.
  This version builds directly from debian sources to cut down maintainence need.

    A ./cputransp/qemu-cvs/
    A ./cputransp/qemu-cvs/Makefile
    A ./cputransp/qemu-cvs/checksums
    A ./cputransp/qemu-cvs/files/
    M ./meta/cputransp/Makefile -1 +2

Thu Mar 22 12:47:59 EET 2007  Jussi Hakala <jussi.hakala@movial.fi>
  * meta: make environment last

    M ./meta/cputransp/Makefile -1 +2

Thu Mar 22 12:46:27 EET 2007  Jussi Hakala <jussi.hakala@movial.fi>
  * Added qemu-0.9.0

    A ./cputransp/qemu-0.9.0-sb/
    A ./cputransp/qemu-0.9.0-sb/Makefile
    A ./cputransp/qemu-0.9.0-sb/checksums
    A ./cputransp/qemu-0.9.0-sb/files/
    A ./cputransp/qemu-0.9.0-sb/files/compile-static.patch
    M ./gat_files/tools_build_def -1 +3
    M ./meta/cputransp/Makefile +1

Wed Mar 21 12:19:57 EET 2007  Jussi Hakala <jussi.hakala@movial.fi>
  tagged sb-cputransp-devkit_1.0.2


Fri Jan 19 16:29:47 EET 2007  Riku Voipio <riku.voipio@iki.fi>
  * add Qemu 0.8.2
  Qemu 0.8.2. Thanks to Guillem Jover for adapting patches to new upstream
  and Andrev Petrov for scratchbox adaption.

    A ./cputransp/qemu-0.8.2-sb/
    A ./cputransp/qemu-0.8.2-sb/Makefile
    A ./cputransp/qemu-0.8.2-sb/checksums
    A ./cputransp/qemu-0.8.2-sb/files/
    A ./cputransp/qemu-0.8.2-sb/files/01_doc_typos.patch
    A ./cputransp/qemu-0.8.2-sb/files/02_snapshot_use_tmpdir.patch
    A ./cputransp/qemu-0.8.2-sb/files/03_machines_list_no_error.patch
    A ./cputransp/qemu-0.8.2-sb/files/04_do_not_print_rtc_freq_if_ok.patch
    A ./cputransp/qemu-0.8.2-sb/files/05_non-fatal_if_linux_hd_missing.patch
    A ./cputransp/qemu-0.8.2-sb/files/06_exit_segfault.patch
    A ./cputransp/qemu-0.8.2-sb/files/10_signal_jobs.patch
    A ./cputransp/qemu-0.8.2-sb/files/11_signal_sigaction.patch
    A ./cputransp/qemu-0.8.2-sb/files/12_signal_powerpc_support.patch
    A ./cputransp/qemu-0.8.2-sb/files/21_net_soopts.patch
    A ./cputransp/qemu-0.8.2-sb/files/22_net_tuntap_stall.patch
    A ./cputransp/qemu-0.8.2-sb/files/30_syscall_ipc.patch
    A ./cputransp/qemu-0.8.2-sb/files/31_syscalls.patch
    A ./cputransp/qemu-0.8.2-sb/files/32_syscall_sysctl.patch
    A ./cputransp/qemu-0.8.2-sb/files/33_syscall_ppc_clone.patch
    A ./cputransp/qemu-0.8.2-sb/files/34_syscalls_types.patch
    A ./cputransp/qemu-0.8.2-sb/files/35_syscall_sockaddr.patch
    A ./cputransp/qemu-0.8.2-sb/files/36_syscall_prctl.patch
    A ./cputransp/qemu-0.8.2-sb/files/37_syscall_mount.patch
    A ./cputransp/qemu-0.8.2-sb/files/38_syscall_arm_statfs64.patch
    A ./cputransp/qemu-0.8.2-sb/files/39_syscall_fadvise64.patch
    A ./cputransp/qemu-0.8.2-sb/files/41_arm_fpa_sigfpe.patch
    A ./cputransp/qemu-0.8.2-sb/files/42_arm_tls.patch
    A ./cputransp/qemu-0.8.2-sb/files/43_arm_cpustate.patch
    A ./cputransp/qemu-0.8.2-sb/files/51_serial_small_divider.patch
    A ./cputransp/qemu-0.8.2-sb/files/52_ne2000_return.patch
    A ./cputransp/qemu-0.8.2-sb/files/55_unmux_socketcall.patch
    A ./cputransp/qemu-0.8.2-sb/files/60_ppc_ld.patch
    A ./cputransp/qemu-0.8.2-sb/files/61_safe_64bit_int.patch
    A ./cputransp/qemu-0.8.2-sb/files/62_linux_boot_nasm.patch
    A ./cputransp/qemu-0.8.2-sb/files/63_sparc_build.patch
    A ./cputransp/qemu-0.8.2-sb/files/64_ppc_asm_constraints.patch
    A ./cputransp/qemu-0.8.2-sb/files/65_kfreebsd.patch
    A ./cputransp/qemu-0.8.2-sb/files/66_tls_ld.patch
    A ./cputransp/qemu-0.8.2-sb/files/67_ppc_ftbfs.patch
    A ./cputransp/qemu-0.8.2-sb/files/68_qemu_magic.patch
    A ./cputransp/qemu-0.8.2-sb/files/80_ui_curses.patch
    A ./cputransp/qemu-0.8.2-sb/files/90_evil_dlclose.patch
    A ./cputransp/qemu-0.8.2-sb/files/90_evil_sigaltstack.patch
    A ./cputransp/qemu-0.8.2-sb/files/99_sbox_callhack.patch
    A ./cputransp/qemu-0.8.2-sb/files/99_sbox_proc.patch
    A ./cputransp/qemu-0.8.2-sb/series
    M ./gar.conf.mk -1 +1
    M ./gat_files/tools_build_def -1 +3
    M ./meta/cputransp/Makefile +1

Thu Nov  2 19:20:03 EET 2006  Timo Savola <tsavola@movial.fi>
  tagged Scratchbox Apophis r4


Thu Nov  2 19:19:56 EET 2006  Timo Savola <tsavola@movial.fi>
  tagged sb-cputransp-devkit_1.0.1


Wed Nov  1 12:55:56 EET 2006  Timo Savola <tsavola@movial.fi>
  * qemu-m

     ./cputransp/qemu-maemo -> ./cputransp/qemu-m
    M ./cputransp/qemu-m/Makefile -1 +1
    M ./gat_files/tools_build_def -1 +1
    M ./meta/cputransp/Makefile -1 +1

Mon Oct 30 10:59:50 EET 2006  Toni Timonen <ttimonen@movial.fi>
  * tools_build_def: Build also qemu0.8.0

    M ./gat_files/tools_build_def -1 +3

Wed Oct 25 20:41:18 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Added qemu-maemo2

    A ./cputransp/qemu-maemo/
    A ./cputransp/qemu-maemo/Makefile
    A ./cputransp/qemu-maemo/checksums
    A ./cputransp/qemu-maemo/files/
    A ./cputransp/qemu-maemo/files/01_doc_typos.patch
    A ./cputransp/qemu-maemo/files/04_do_not_print_rtc_freq_if_ok.patch
    A ./cputransp/qemu-maemo/files/05_non-fatal_if_linux_hd_missing.patch
    A ./cputransp/qemu-maemo/files/10_signal_jobs.patch
    A ./cputransp/qemu-maemo/files/11_signal_sigaction.patch
    A ./cputransp/qemu-maemo/files/12_signal_powerpc_support.patch
    A ./cputransp/qemu-maemo/files/13_signal_silent.patch
    A ./cputransp/qemu-maemo/files/21_net_sockopt.patch
    A ./cputransp/qemu-maemo/files/22_net_tuntap_stall.patch
    A ./cputransp/qemu-maemo/files/30_syscall_ipc.patch
    A ./cputransp/qemu-maemo/files/31_syscalls.patch
    A ./cputransp/qemu-maemo/files/32_syscall_sysctl.patch
    A ./cputransp/qemu-maemo/files/33_syscall_ppc_clone.patch
    A ./cputransp/qemu-maemo/files/34_syscalls_types.patch
    A ./cputransp/qemu-maemo/files/35_syscall_sockaddr.patch
    A ./cputransp/qemu-maemo/files/40_arm_nwfpe_cpsr.patch
    A ./cputransp/qemu-maemo/files/41_arm_fpa_sigfpe.patch
    A ./cputransp/qemu-maemo/files/42_arm_tls.patch
    A ./cputransp/qemu-maemo/files/43_arm_cpustate.patch
    A ./cputransp/qemu-maemo/files/44_arm_eabi.patch
    A ./cputransp/qemu-maemo/files/50_missing_keycodes.patch
    A ./cputransp/qemu-maemo/files/51_serial_small_divider.patch
    A ./cputransp/qemu-maemo/files/55_unmux_socketcall.patch
    A ./cputransp/qemu-maemo/files/60_ppc_ld.patch
    A ./cputransp/qemu-maemo/files/61_safe_64bit_int.patch
    A ./cputransp/qemu-maemo/files/62_linux_boot_nasm.patch
    A ./cputransp/qemu-maemo/files/63_sparc_build.patch
    A ./cputransp/qemu-maemo/files/90_evil_dlclose.patch
    A ./cputransp/qemu-maemo/files/90_evil_sigaltstack.patch
    A ./cputransp/qemu-maemo/files/91_nodocs.patch
    A ./cputransp/qemu-maemo/files/99_sbox_callhack.patch
    A ./cputransp/qemu-maemo/files/99_sbox_proc.patch
    M ./gat_files/tools_build_def -1 +3
    M ./meta/cputransp/Makefile +1

Wed Oct 25 20:33:07 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Fix socket unmux patch backport again

    M ./cputransp/qemu-0.8.0-sb/files/55_unmux_socketcall.patch -58 +107

Fri Oct 27 21:07:15 EEST 2006  Timo Savola <tsavola@movial.fi>
  * sbrsh: upgrade to 7.4

    M ./cputransp/sbrsh/Makefile -1 +1
    M ./cputransp/sbrsh/checksums -1 +1

Fri Oct 27 17:30:48 EEST 2006  Timo Savola <tsavola@movial.fi>
  * sbrsh: regenerated source package

    M ./cputransp/sbrsh/checksums -1 +1

Fri Oct 27 11:45:38 EEST 2006  Timo Savola <tsavola@movial.fi>
  * sbrsh: upgrade to 7.3
  
  No functional changes in the client since 7.2.

    M ./cputransp/sbrsh/Makefile -1 +1
    M ./cputransp/sbrsh/checksums -2 +1

Tue Oct 24 16:20:23 EEST 2006  Jussi Hakala <jussi.hakala@movial.fi>
  * tools_build_def: environment depends from all the other tools

    M ./gat_files/tools_build_def -1 +1

Tue Oct 17 17:03:20 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Cleanup: remove evidence of env-patches

    M ./cputransp/qemu-0.7.0-sb/Makefile -1
    R ./cputransp/qemu-0.7.0-sb/files/env.patch
    R ./cputransp/qemu-0.8.0-sb/files/99_sbox_env.patch

Wed Sep 27 15:45:33 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Add missing checksum for sbrsh-7.2

    M ./cputransp/sbrsh/checksums +1

Mon Sep 18 12:41:36 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Support the new cputransparency calling convention

    M ./cputransp/environment/Makefile -1 +1
    M ./cputransp/qemu-0.7.0-sb/Makefile -1 +2
    A ./cputransp/qemu-0.7.0-sb/files/sbcall-hack.patch
    M ./cputransp/qemu-0.8.0-sb/Makefile -1 +2
    A ./cputransp/qemu-0.8.0-sb/files/99_sbox_callhack.patch
    M ./cputransp/qemu-0.8.1-sb/Makefile -1 +2
    A ./cputransp/qemu-0.8.1-sb/files/99_sbox_callhack.patch
    M ./cputransp/sbrsh/Makefile -1 +1

Mon Jul 31 13:31:51 EEST 2006  Jussi Hakala <jhakala@movial.fi>
  * devkit specific tools build data

    M ./gat_files/tools_build_def -1 +11

Mon Jul 31 12:44:42 EEST 2006  Jussi Hakala <jhakala@movial.fi>
  * added gat_files and a template for building tools

    A ./gat_files/
    A ./gat_files/tools_build_def

Mon Jul 24 15:40:34 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Do not build docs to make scratchbox nightly autobuilder happy

    M ./cputransp/qemu-0.8.0-sb/Makefile -1 +2
    A ./cputransp/qemu-0.8.0-sb/files/91_nodocs.patch

Tue Jul 18 10:06:43 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Disable untested patch

    M ./cputransp/qemu-0.8.1-sb/Makefile -1 +1

Mon Jul 17 10:32:30 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Fix build failure

    M ./cputransp/qemu-0.8.1-sb/Makefile -2 +2

Fri Jul 14 14:46:40 EEST 2006  Riku Voipio <riku.voipio@iki.fi>
  * Fix socket unmux patch backport
  Actually while backporting this I noticed that the
  original patch is is horrible broken related to
  addrlen pointer...

    M ./cputransp/qemu-0.8.0-sb/files/55_unmux_socketcall.patch -39 +70

Wed Jul 12 16:24:05 EEST 2006  Riku Voipio <riku.voipio@iki.fi>
  * Add 0.8.0 to depends

    M ./meta/cputransp/Makefile +1

Wed Jul 12 16:02:55 EEST 2006  Riku Voipio <riku.voipio@iki.fi>
  * add qemu 0.8.0
  Downgrading to 0.8.0 appears to fix the ld.so inconsistency error
  seen sometimes. Based on guillem's work, also backported NPTL
  patch. Now gcc4.1 real EABI toolchain appears to work

    A ./cputransp/qemu-0.8.0-sb/
    A ./cputransp/qemu-0.8.0-sb/Makefile
    A ./cputransp/qemu-0.8.0-sb/checksums
    A ./cputransp/qemu-0.8.0-sb/files/
    A ./cputransp/qemu-0.8.0-sb/files/01_doc_typos.patch
    A ./cputransp/qemu-0.8.0-sb/files/04_do_not_print_rtc_freq_if_ok.patch
    A ./cputransp/qemu-0.8.0-sb/files/05_non-fatal_if_linux_hd_missing.patch
    A ./cputransp/qemu-0.8.0-sb/files/10_signal_jobs.patch
    A ./cputransp/qemu-0.8.0-sb/files/11_signal_sigaction.patch
    A ./cputransp/qemu-0.8.0-sb/files/12_signal_powerpc_support.patch
    A ./cputransp/qemu-0.8.0-sb/files/13_signal_silent.patch
    A ./cputransp/qemu-0.8.0-sb/files/21_net_sockopt.patch
    A ./cputransp/qemu-0.8.0-sb/files/22_net_tuntap_stall.patch
    A ./cputransp/qemu-0.8.0-sb/files/30_syscall_ipc.patch
    A ./cputransp/qemu-0.8.0-sb/files/31_syscalls.patch
    A ./cputransp/qemu-0.8.0-sb/files/32_syscall_sysctl.patch
    A ./cputransp/qemu-0.8.0-sb/files/33_syscall_ppc_clone.patch
    A ./cputransp/qemu-0.8.0-sb/files/34_syscalls_types.patch
    A ./cputransp/qemu-0.8.0-sb/files/35_syscall_sockaddr.patch
    A ./cputransp/qemu-0.8.0-sb/files/40_arm_nwfpe_cpsr.patch
    A ./cputransp/qemu-0.8.0-sb/files/41_arm_fpa_sigfpe.patch
    A ./cputransp/qemu-0.8.0-sb/files/42_arm_nptl.patch
    A ./cputransp/qemu-0.8.0-sb/files/42_arm_tls.patch
    A ./cputransp/qemu-0.8.0-sb/files/43_arm_cpustate.patch
    A ./cputransp/qemu-0.8.0-sb/files/44_arm_eabi.patch
    A ./cputransp/qemu-0.8.0-sb/files/50_missing_keycodes.patch
    A ./cputransp/qemu-0.8.0-sb/files/51_serial_small_divider.patch
    A ./cputransp/qemu-0.8.0-sb/files/55_unmux_socketcall.patch
    A ./cputransp/qemu-0.8.0-sb/files/60_ppc_ld.patch
    A ./cputransp/qemu-0.8.0-sb/files/61_safe_64bit_int.patch
    A ./cputransp/qemu-0.8.0-sb/files/62_linux_boot_nasm.patch
    A ./cputransp/qemu-0.8.0-sb/files/63_sparc_build.patch
    A ./cputransp/qemu-0.8.0-sb/files/90_evil_dlclose.patch
    A ./cputransp/qemu-0.8.0-sb/files/90_evil_sigaltstack.patch
    A ./cputransp/qemu-0.8.0-sb/files/99_sbox_env.patch
    A ./cputransp/qemu-0.8.0-sb/files/99_sbox_proc.patch
    M ./cputransp/qemu-0.8.1-sb/Makefile -14 +4
    M ./cputransp/qemu-0.8.1-sb/files/39_syscall_fadvise64.patch +7
    M ./cputransp/qemu-0.8.1-sb/files/55_unmux_socketcall.patch -1 +2

Wed Jun 28 14:32:48 EEST 2006  Daniel Bainton <daniel.bainton@movial.fi>
  * Generate a new ChangeLog with darcs and install it with the devkit

     ./ChangeLog -> ./ChangeLog.old
    M ./Makefile -2 +6

Wed Jun 28 12:24:50 EEST 2006  Jussi Hakala <jhakala@movial.fi>
  * Proper cleaning of tool directories

    M ./Makefile -1 +1

Fri Mar 31 11:24:33 EEST 2006  Veli Mankinen <veli.mankinen@movial.fi>
  * Now lists files installed to target to 'installed_files_target'.

    M ./gar.mk -10 +31

Thu Jun 22 14:09:21 EEST 2006  Jussi Hakala <jhakala@movial.fi>
  * Support for specifying version from the command line (use still scratchbox-version if not)

    M ./Makefile -1 +1

Wed Jun 21 17:12:38 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Fix qemu sockopt struct and eabi handling

    M ./cputransp/qemu-0.8.1-sb/Makefile -1
    R ./cputransp/qemu-0.8.1-sb/files/21_net_sockopt.patch
    M ./cputransp/qemu-0.8.1-sb/files/23_net_soopts.patch -36 +116
    M ./cputransp/qemu-0.8.1-sb/files/55_unmux_socketcall.patch -2 +2

Tue Jun 13 22:43:22 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Add patches from sbox 0.9.8.7

    M ./cputransp/qemu-0.8.1-sb/Makefile +3
    A ./cputransp/qemu-0.8.1-sb/files/13_signal_silent.patch
    A ./cputransp/qemu-0.8.1-sb/files/23_net_soopts.patch
    A ./cputransp/qemu-0.8.1-sb/files/39_syscall_fadvise64.patch

Tue Jun 13 22:42:13 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Fix socketcall unmux

    M ./cputransp/qemu-0.8.1-sb/Makefile -1 +1
    M ./cputransp/qemu-0.8.1-sb/files/55_unmux_socketcall.patch -56 +32

Mon Jun 12 23:03:58 EEST 2006  riku.voipio@iki.fi
  * Add unmuxed socketcall for arm eabi

    M ./cputransp/qemu-0.8.1-sb/Makefile +1
    A ./cputransp/qemu-0.8.1-sb/files/55_unmux_socketcall.patch

Mon Jun  5 11:08:26 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * qemu 0.8.1 build cleanup

    M ./cputransp/qemu-0.8.1-sb/Makefile -2 +2

Mon Jun  5 10:52:36 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Add support for multiple different versions of qemu

    M ./cputransp/environment/Makefile -1 +3

Sun Jun  4 01:54:27 EEST 2006  Riku Voipio <riku.voipio@movial.fi>
  * Add qemu 0.8.1
  
  Thanks for Guillem Jover for synchronizing qemu 0.7/scratchbox patches
  Thanks for Paul Brook for NPTL/EABI support
  

    A ./cputransp/qemu-0.8.1-sb/
    A ./cputransp/qemu-0.8.1-sb/Makefile
    A ./cputransp/qemu-0.8.1-sb/checksums
    A ./cputransp/qemu-0.8.1-sb/files/
    A ./cputransp/qemu-0.8.1-sb/files/01_doc_typos.patch
    A ./cputransp/qemu-0.8.1-sb/files/02_snapshot_use_tmpdir.patch
    A ./cputransp/qemu-0.8.1-sb/files/03_machines_list_no_error.patch
    A ./cputransp/qemu-0.8.1-sb/files/04_do_not_print_rtc_freq_if_ok.patch
    A ./cputransp/qemu-0.8.1-sb/files/05_non-fatal_if_linux_hd_missing.patch
    A ./cputransp/qemu-0.8.1-sb/files/06_exit_segfault.patch
    A ./cputransp/qemu-0.8.1-sb/files/10_signal_jobs.patch
    A ./cputransp/qemu-0.8.1-sb/files/11_signal_sigaction.patch
    A ./cputransp/qemu-0.8.1-sb/files/12_signal_powerpc_support.patch
    A ./cputransp/qemu-0.8.1-sb/files/21_net_sockopt.patch
    A ./cputransp/qemu-0.8.1-sb/files/22_net_tuntap_stall.patch
    A ./cputransp/qemu-0.8.1-sb/files/30_syscall_ipc.patch
    A ./cputransp/qemu-0.8.1-sb/files/31_syscalls.patch
    A ./cputransp/qemu-0.8.1-sb/files/32_syscall_sysctl.patch
    A ./cputransp/qemu-0.8.1-sb/files/33_syscall_ppc_clone.patch
    A ./cputransp/qemu-0.8.1-sb/files/34_syscalls_types.patch
    A ./cputransp/qemu-0.8.1-sb/files/35_syscall_sockaddr.patch
    A ./cputransp/qemu-0.8.1-sb/files/36_syscall_prctl.patch
    A ./cputransp/qemu-0.8.1-sb/files/37_syscall_mount.patch
    A ./cputransp/qemu-0.8.1-sb/files/38_syscall_arm_statfs64.patch
    A ./cputransp/qemu-0.8.1-sb/files/41_arm_fpa_sigfpe.patch
    A ./cputransp/qemu-0.8.1-sb/files/42_arm_nptl.patch
    A ./cputransp/qemu-0.8.1-sb/files/43_arm_cpustate.patch
    A ./cputransp/qemu-0.8.1-sb/files/50_missing_keycodes.patch
    A ./cputransp/qemu-0.8.1-sb/files/51_serial_small_divider.patch
    A ./cputransp/qemu-0.8.1-sb/files/60_ppc_ld.patch
    A ./cputransp/qemu-0.8.1-sb/files/61_safe_64bit_int.patch
    A ./cputransp/qemu-0.8.1-sb/files/62_linux_boot_nasm.patch
    A ./cputransp/qemu-0.8.1-sb/files/63_sparc_build.patch
    A ./cputransp/qemu-0.8.1-sb/files/64_ppc_asm_constraints.patch
    A ./cputransp/qemu-0.8.1-sb/files/90_evil_dlclose.patch
    A ./cputransp/qemu-0.8.1-sb/files/90_evil_sigaltstack.patch
    A ./cputransp/qemu-0.8.1-sb/files/99_sbox_proc.patch
    M ./meta/cputransp/Makefile +1

Mon May 15 15:19:24 EEST 2006  Daniel Bainton <daniel.bainton@movial.fi>
  * Removing the old rpm support

    M ./Makefile -9 +1

Thu Apr 27 16:47:04 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  tagged CPUTRANSP_1.0


Wed Apr 12 00:50:44 EEST 2006  Jussi Hakala <jhakala@movial.fi>
  * Updated the Debian makefiles

    M ./debian/changelog.in -1 +1
    M ./debian/control -4 +4

Tue Apr 11 18:51:54 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Add sbrsh 7.1

    A ./cputransp/darcs.mk
    M ./cputransp/environment/Makefile -1 +4
    A ./cputransp/sbrsh/
    A ./cputransp/sbrsh/Makefile
    A ./cputransp/sbrsh/checksums
    M ./meta/cputransp/Makefile +2

Tue Apr 11 18:47:11 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Cleanup gar.mk xtermset warnings

    M ./gar.mk -2 +2

Tue Apr 11 15:53:52 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Do qemu wrapping

    A ./cputransp/environment/
    A ./cputransp/environment/Makefile
    M ./cputransp/qemu-0.7.0-sb/files/wrapper.py -1 +1
    M ./meta/cputransp/Makefile +1

Tue Apr 11 15:02:26 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Fix makefiles

    M ./Makefile -3 +3
    M ./cputransp/qemu-0.7.0-sb/Makefile -2 +2
    M ./meta/cputransp/Makefile -1 +1

Mon Apr 10 18:15:34 EEST 2006  Toni Timonen <ttimonen@movial.fi>
  * Initial CPU transparency devkit with qemu from sb1.0.3

     ./devkit -> ./cputransp
     ./cputransp/example -> ./cputransp/qemu-0.7.0-sb
     ./meta/devkit -> ./meta/cputransp
    M ./COPYRIGHT -2 +2
    M ./cputransp/category.mk -1 +1
    M ./cputransp/qemu-0.7.0-sb/Makefile -9 +52
    A ./cputransp/qemu-0.7.0-sb/checksums
    A ./cputransp/qemu-0.7.0-sb/files/
    A ./cputransp/qemu-0.7.0-sb/files/arm-tls.patch
    A ./cputransp/qemu-0.7.0-sb/files/auxv.patch
    A ./cputransp/qemu-0.7.0-sb/files/env.patch
    A ./cputransp/qemu-0.7.0-sb/files/fpu.patch
    A ./cputransp/qemu-0.7.0-sb/files/ipc.patch
    A ./cputransp/qemu-0.7.0-sb/files/proc-hack.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-arm-sigfpe.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-evil-dlclose.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-jobsignals.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-sigaction.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-sigaltstackhack.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-sigsilent.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-socketcall.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-solinger-setsockopt.patch
    A ./cputransp/qemu-0.7.0-sb/files/qemu-syscalls.patch
    A ./cputransp/qemu-0.7.0-sb/files/socketopt.patch
    A ./cputransp/qemu-0.7.0-sb/files/sysctl.patch
    A ./cputransp/qemu-0.7.0-sb/files/tcpip-sockopt.patch
    A ./cputransp/qemu-0.7.0-sb/files/tid-address.patch
    A ./cputransp/qemu-0.7.0-sb/files/truncate64.patch
    A ./cputransp/qemu-0.7.0-sb/files/wrapper.py
    R ./file_locations.mk
    M ./meta/cputransp/Makefile -4 +2
    R ./rpm/
    R ./rpm/macros
    R ./rpm/rpmrc
    R ./rpm/spec.in

Tue Mar 21 16:55:10 EET 2006  Jussi Hakala <jhakala@movial.fi>
  * Fixed a bug in make tarball

    M ./Makefile -1 +1

Mon Feb 14 15:07:20 EET 2005  tsavola
  tagged SBOX_1_0_1 


Mon Feb 14 15:07:20 EET 2005  tsavola
  * changes

    M ./ChangeLog +7

Mon Feb 14 15:07:16 EET 2005  tsavola
  * new deb_list format

    M ./gar.mk -9 +20

Mon Feb 14 15:04:59 EET 2005  tsavola
  * fixes

    M ./Makefile +1
    M ./debian/control -1 +1
    M ./debian/rules -7 +8
    M ./rpm/spec.in -1 +1

Thu Jan 13 10:19:29 EET 2005  vrahkone
  * updated makefile

    M ./meta/devkit/Makefile -2 +2

Thu Jan 13 10:17:46 EET 2005  vrahkone
  * updated example makefile

    M ./devkit/example/Makefile -2 +2

Thu Jan 13 10:16:51 EET 2005  vrahkone
  * Removed checksums

    R ./devkit/example/checksums

Thu Jan 13 09:53:37 EET 2005  vrahkone
  * Updated template

    A ./devkit/example/
    A ./devkit/example/Makefile
    A ./devkit/example/checksums
    M ./gar.conf.mk -1 +1
    M ./meta/devkit/Makefile -1 +2

Tue Jan 11 15:06:21 EET 2005  vrahkone
  * Initial revision

    A ./COPYING
    A ./COPYRIGHT
    A ./ChangeLog
    A ./Makefile
    A ./debian/
    A ./debian/changelog.in
    A ./debian/compat
    A ./debian/control
    A ./debian/rules
    A ./devkit/
    A ./devkit/category.mk
    A ./file_locations.mk
    A ./gar.bugs.mk
    A ./gar.color.mk
    A ./gar.conf.mk
    A ./gar.lib.mk
    A ./gar.mk
    A ./meta/
    A ./meta/devkit/
    A ./meta/devkit/Makefile
    A ./rpm/
    A ./rpm/macros
    A ./rpm/rpmrc
    A ./rpm/spec.in
